Germany
Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.
Request format
curl -X GET "https://newhedge.io/api/v2/companies/germany/METRIC_NAME?api_token=YOUR_TOKEN"
api_token (required) — 24 character token.
:metric_name — one of the company metric names listed below.
200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.
Metrics
Each company metric is fetched independently.
Bitcoin Acquisitions
Bitcoin acquisition history for the company.
https://newhedge.io/api/v2/companies/germany/bitcoin-acquisitions?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
[
{
"date": 1720569600000,
"type": "sell",
"coin_id": "bitcoin",
"source_url": "https://platform.arkhamintelligence.com/explorer/entity/germany",
"holding_balance": 13735.0,
"holding_net_change": -26624.0,
"transaction_value_usd": 1537555701.76,
"average_entry_value_usd": 0.0,
"transaction_value_calculated": true
},
{
"date": 1720656000000,
"type": "sell",
"coin_id": "bitcoin",
"source_url": "https://platform.arkhamintelligence.com/explorer/entity/germany",
"holding_balance": 4925.0,
"holding_net_change": -8810.0,
"transaction_value_usd": 505349793.3,
"average_entry_value_usd": 0.0,
"transaction_value_calculated": true
},
{
"date": 1720742400000,
"type": "sell",
"coin_id": "bitcoin",
"source_url": "https://platform.arkhamintelligence.com/explorer/entity/germany",
"holding_balance": 0.0,
"holding_net_change": -4925.0,
"transaction_value_usd": 285251961.5,
"average_entry_value_usd": 0.0,
"transaction_value_calculated": true
}
]
Bitcoin Holdings
Historical Bitcoin holdings for the company.
https://newhedge.io/api/v2/companies/germany/bitcoin-holdings?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
[
[
1778976000000,
0.0
],
[
1779062400000,
0.0
],
[
1779148800000,
0.0
]
]
Bitcoin Holdings USD
Historical USD value of the company's Bitcoin holdings.
https://newhedge.io/api/v2/companies/germany/bitcoin-holdings-usd?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
[
[
1778976000000,
0.0
],
[
1779062400000,
0.0
],
[
1779148800000,
0.0
]
]
Price Data
Historical market price data stored on the company profile.
https://newhedge.io/api/v2/companies/germany/price-data?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
{
"message": "Data unavailable for this company"
}
Company Data
Company profile, fundamentals, and related reference data.
https://newhedge.io/api/v2/companies/germany/company-data?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
{
"message": "Data unavailable for this company"
}
Performance Metrics
Calculated performance metrics for the company.
https://newhedge.io/api/v2/companies/germany/performance-metrics?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
{
"message": "Data unavailable for this company"
}
Treasury Metrics
Bitcoin treasury summary metrics for the company.
https://newhedge.io/api/v2/companies/germany/treasury-metrics?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
{
"btc_percent_company": 0.0,
"total_btc_percentage": 0.0,
"share_price_change_state": "up"
}